/* eslint-disable prettier/prettier */
import { computed } from "vue";
import { useUserInfo } from "./useUser";
import { useUserStoreHook } from "/@/store/modules/user";

export function useCompany() {
  const { isSuperUser } = useUserInfo();
  const { SET_CURRENT_COMPANY } = useUserStoreHook();
  const companyList = computed(() => useUserStoreHook().companyList);

  const currentCompany = computed(
    () => useUserStoreHook().currentCompany || {}
  );

  const isSwitchingCompany = computed(() => useUserStoreHook().swithingCompany)

  const setCompanyList = (list) => {
    useUserStoreHook().companyList = list;
  }

  const setSwithingComapny = (state: boolean) => useUserStoreHook().swithingCompany = state;


  function setCurrentCompany(value) {
    const filter: any = ({ companyNo }) => companyNo === value;
    const company = companyList.value.find(filter);

    SET_CURRENT_COMPANY(
      isSuperUser.value
        ? {
          companyName: value?.name || '所有公司',
          companyNo: value?.code || ''
        }
        : company
    );
  }

  return {
    companyList,
    currentCompany,
    setCurrentCompany,
    isSwitchingCompany,
    setSwithingComapny,
    setCompanyList
  };
}
