/**
 * 采购单付款
 */
import { ElImage, ElTag } from "element-plus";
import { h } from "vue";
import { createTooltip } from "../tootip";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

export const STATUS_OPTIONS = [
  {
    value: "0",
    label: "待发起"
  },
  {
    value: "1",
    label: "待买方审核"
  },
  {
    value: "2",
    label: "待付款回执"
  },
  {
    value: "3",
    label: "审核成功"
  },
  {
    value: "4",
    label: "买方公司驳回"
  },
  {
    value: "5",
    label: "付款已退"
  }
];

export const PAYMENT_STATUS = [
  {
    value: "1",
    label: "待买方审核"
  },
  {
    value: "2",
    label: "审核成功"
  },
  {
    value: "3",
    label: "买家驳回"
  },
  {
    value: "4",
    label: "已撤销申请"
  }
];

export const purchpay_columns: DescriptionColumns = [
  {
    field: "payNo",
    span: 2,
    label: "对账申请编号"
  },
  {
    field: "dzNo",
    span: 2,
    label: "付款申请编号"
  },
  {
    field: "apply_name",
    span: 2,
    label: "申请人",
    render: (apply_name, { apply_id }) =>
      createTooltip(apply_name, "申请人ID : " + apply_id, 90)
  },
  {
    field: "pay_fee",
    label: "申请付款额度"
  },
  {
    field: "addtime",
    label: "申请时间"
  },
  {
    field: "return_img",
    label: "付款回执",
    render(return_img) {
      const chunks = return_img?.split(",");
      if (!chunks) return null;

      return chunks.map(src => {
        return h(ElImage, {
          src,
          previewSrcList: [src],
          style: {
            height: "20px"
          }
        });
      });
    }
  },
  {
    field: "return_time",
    label: "付款回执时间"
  },
  {
    field: "status",
    label: "状态",
    span: 2,
    render(status) {
      return h(ElTag, null, {
        default: () => STATUS_OPTIONS.find(s => status === s.value)?.label
      });
    }
  },
  {
    field: "remark",
    label: "备注"
  }
];
