/**
 * 对账详情
 */
import { ElTag } from "element-plus";
import { h } from "vue";
import { createTooltip } from "../tootip";
import { DescriptionColumns } from "/@/components/BasicDescriptions";

export const RECONCILIATION_COLUMNS: DescriptionColumns = [
  {
    field: "payNo",
    label: "对账单号",
    span: 2
  },
  {
    field: "supplierName",
    label: "供应商",
    span: 2,
    render: (supplierName, { supplierNo }) =>
      createTooltip(supplierName, "供应商编号 : " + supplierNo, 270)
  },
  {
    field: "companyName",
    label: "业务公司",
    span: 2,
    render: (companyName, { supplierNo }) =>
      createTooltip(companyName, "业务公司编号 : " + supplierNo, 270)
  },
  {
    field: "apply_name",
    label: "申请人",
    render: (apply_name, { apply_id }) =>
      createTooltip(apply_name, "申请人ID : " + apply_id, 90)
  },
  {
    field: "total_fee",
    span: 1,
    label: "对账总额"
  },
  {
    field: "apay_fee",
    label: "已付款"
  },
  {
    field: "pay_fee",
    label: "付款中"
  },
  {
    field: "wpay_fee",
    label: "未付款"
  },
  {
    field: "ainv_fee",
    label: "已开票"
  },
  {
    field: "inv_fee",
    label: "开票中"
  },
  {
    field: "winv_fee",
    label: "未开票"
  },
  {
    field: "inv_status",
    label: "开票状态",
    render(status) {
      return h(ElTag, null, {
        default: () => inv_status.find(s => s.value === status)?.label || "--"
      });
    }
  },
  {
    field: "pay_status",
    label: "付款状态",
    render(status) {
      return h(ElTag, null, {
        default: () => pay_status.find(s => s.value === status)?.label || "--"
      });
    }
  },
  {
    field: "status",
    label: "申核状态",
    render(status) {
      return h(ElTag, null, {
        default: () => statusOptions.find(s => s.value === status)?.label
      });
    }
  },
  {
    field: "addtime",
    label: "申请时间"
  },
  {
    field: "updatetime",
    label: "更新时间"
  },
  {
    field: "remark",
    span: 3,
    label: "备注"
  }
];

export const statusOptions = [
  {
    value: "1",
    label: "待买方审核"
  },
  {
    value: "2",
    label: "审核成功"
  },
  {
    value: "3",
    label: "买家驳回"
  },
  {
    value: "4",
    label: "已撤销申请"
  }
];

export const goodTypes = [
  {
    label: "正常商品",
    value: "1"
  },
  {
    label: "赠品",
    value: "2"
  },
  {
    label: "样品",
    value: "3"
  }
];

export const pay_status = [
  {
    value: "1",
    label: "未付款"
  },
  {
    value: "2",
    label: "部分付款"
  },
  {
    value: "3",
    label: "已付款"
  }
];

export const inv_status = [
  {
    value: "1",
    label: "未开票"
  },
  {
    value: "2",
    label: "开票中"
  },
  {
    value: "3",
    label: "已开票"
  }
];
