import { status_options } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "认领状态",
      options: status_options
    },
    {
      type: "input",
      field: "bank",
      placeholder: "交易银行"
    },
    {
      type: "input",
      field: "name",
      placeholder: "付款单位名称"
    },
    {
      type: "range",
      field: "gold",
      otherOptions: {
        startProp: "userd_lower",
        endProp: "used_upper",
        startPlaceholder: "认领资金开始金额",
        endPlaceholder: "认领资金结束金额"
      }
    },
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "交易开始时间",
        endPlaceholder: "交易结束时间"
      }
    }
  ]
};

export default searchFormConfig;
