import { h } from "vue";
import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/InvoiceSales/invoiceApply";
import { inv_type_list } from "../status";
import { INV_OPEN_STATUS } from "/@/utils/details/inv-open";
import { ElTag } from "element-plus";
import dayjs from "dayjs";

const columns = [
  {
    type: "selection",
    width: 55
  },
  {
    label: "发票申请编号",
    prop: "invNo",
    width: 175
  },
  {
    label: "业务企业编号",
    prop: "inv_out",
    width: 175
  },
  {
    label: "客户公司名称",
    prop: "buyer_title",
    width: 175
  },
  {
    label: "申请额度",
    prop: "inv_value",
    width: 110
  },
  {
    label: "状态",
    prop: "status",
    minWidth: 180,
    cellRenderer: ({ row }) => {
      return h(ElTag, null, {
        default: () => {
          return (
            INV_OPEN_STATUS.find(item => item.value == row.status + "")
              ?.label || "--"
          );
        }
      });
    }
  },
  {
    label: "发票类型",
    prop: "status",
    minWidth: 140,
    cellRenderer: ({ row }) => {
      return h(ElTag, null, {
        default: () =>
          inv_type_list.find(item => item.value == row.inv_type + "")?.label ||
          "--"
      });
    }
  },
  {
    label: "发票号码",
    prop: "inv_number",
    width: 130
  },
  {
    label: "发票代码",
    prop: "inv_code",
    width: 130
  },
  {
    label: "申请人",
    prop: "apply_name",
    width: 80
  },
  {
    label: "创建时间",
    width: 145,
    prop: "addtime",
    formatter: ({ addtime }) =>
      addtime ? dayjs(addtime).format("YYYY-MM-DD HH:mm:ss") : ""
  },
  {
    label: "操作",
    fixed: "right",
    width: 100,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "发票申请管理",
  columns,
  superUserNoAction: true,
  companyProp: "inv_out",
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
