import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/parameter/supplierPay";

import dayjs from "dayjs";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "公司编号",
    prop: "code"
  },
  {
    label: "公司名称",
    prop: "name"
  },
  {
    label: "公司类型",
    prop: "nature"
  },
  {
    label: "创建时间",
    prop: "createTime",
    formatter: ({ addtime }) => dayjs(addtime).format("YYYY-MM-DD HH:mm:ss")
  }
];

const contentConfig: ContentConfig = {
  title: "公司管理",
  columns,
  notNeedCompanyFilter: true,
  apis: {
    httpList
  }
};

export default contentConfig;
