import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "sequenceNo", label: "采购单编号" },
          { value: "supplierNo", label: "卖方公司编号" },
          { value: "supplierName", label: "卖方公司名称" },
          { value: "payNo", label: "对账编号" }
        ]
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: statusOptions
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "startTime",
        endProp: "endTime",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    }
  ]
};

export default searchFormConfig;
