import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "returnCode",
      type: "input",
      placeholder: "退款申请编号"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
