import { httpList } from "/@/api/purchase/porder";
import { ContentConfig } from "/@/components/PageContent";
import { renderProp } from "/@/utils/columnRenderHelper";

import {
  cgdStatusOptions,
  cgdTypeOptions,
  sendStatusOptions
} from "./_options";

import { CG_ORDER_SOURCE_OPTIONS } from "/@/config/status";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },

  {
    label: "采购单编号",
    prop: "sequenceNo",
    width: "175px"
  },
  {
    label: "状态",
    prop: "status",
    width: 95,
    ...renderProp(cgdStatusOptions, "status")
  },
  {
    label: "发货状态",
    prop: "sendStatus",
    width: 95,
    ...renderProp(sendStatusOptions, "sendStatus")
  },
  {
    label: "订单来源",
    prop: "cgdSource",
    width: 95,
    ...renderProp(CG_ORDER_SOURCE_OPTIONS, "cgdSource")
  },
  {
    label: "商品来源",
    prop: "cgdType",
    width: 95,
    ...renderProp(cgdTypeOptions, "cgdType")
  },
  {
    label: "商品编号",
    prop: "goodNo",
    width: "175px"
  },
  {
    label: "商品名称",
    prop: "goodName",
    width: "180px"
  },
  {
    label: "买方公司编号",
    prop: "companyNo",
    width: "175px"
  },
  {
    label: "买方公司名称",
    prop: "companyName",
    width: "120px"
  },
  {
    label: "卖方公司编号",
    prop: "supplierNo",
    width: "175px"
  },
  {
    label: "卖方公司名称",
    prop: "supplierName",
    width: "175px"
  },
  {
    label: "备库单",
    prop: "bkCode",
    width: "175px"
  },
  {
    label: "采购员",
    prop: "ownerName",
    width: 75
  },

  {
    label: "创建时间",
    prop: "addtime",
    width: 155
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购单管理",
  columns,
  companyProp: "supplierNo",
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
