import { FormConfig } from "/@/components/PageSearch";
import {
  cg_order_type_options,
  cg_order_source_options
} from "/@/utils/status";
import {
  cgdStatusOptions,
  cgdTypeOptions,
  sendStatusOptions
} from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          // { value: "orderCode", label: "订单编号" },
          { value: "sequenceNo", label: "销售订单编号" },
          { value: "companyNo", label: "买入方公司编号" },
          { value: "companyName", label: "买入方公司名称" },
          // { value: "bkCode", label: "备库单号" },
          { value: "goodNo", label: "商品编号" },
          { value: "goodName", label: "商品名称" },
          { value: "cgder", label: "买入方采购员" }
        ]
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "是否对账",
      options: cgdStatusOptions
    },
    {
      field: "sendstatus",
      type: "select",
      placeholder: "发货状态",
      options: sendStatusOptions
    },
    {
      field: "cgdsource",
      type: "select",
      placeholder: "订单来源",
      options: cg_order_source_options
    },
    {
      field: "cgdtype",
      type: "select",
      placeholder: "商品类型",
      options: cg_order_type_options
    }
  ]
};

export default searchFormConfig;
